Verify Permission
curl --request POST \
--url https://api.sandbox.nevermined.app/api/v1/x402/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accessToken": "x402_eyJhbGciOiJIUzI1NiIs...",
"agentId": "did:nv:abc123...",
"creditsRequested": 5
}
'import requests
url = "https://api.sandbox.nevermined.app/api/v1/x402/verify"
payload = {
"accessToken": "x402_eyJhbGciOiJIUzI1NiIs...",
"agentId": "did:nv:abc123...",
"creditsRequested": 5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accessToken: 'x402_eyJhbGciOiJIUzI1NiIs...',
agentId: 'did:nv:abc123...',
creditsRequested: 5
})
};
fetch('https://api.sandbox.nevermined.app/api/v1/x402/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"valid": true,
"permissionHash": "<string>",
"remainingCredits": 123,
"buyerAddress": "<string>",
"error": "<string>",
"message": "<string>"
}x402
Verify
Validates a delegated permission before processing a request.
POST
/
x402
/
verify
Verify Permission
Authorizations
Your Nevermined API Key (starts with 'nvm:'). Get one at nevermined.app under Settings > API Keys.
Body
application/json
Verification request
⌘I